#include <stdio.h>

main()
{
    int a,b,x,y;
    
    scanf("%d %d",&a,&b);
    scanf("%d %d",&x,&y);
    
    if(a==x && b==y)
    printf("nijedan");
    else if(b-y==0 && a!=x)
    printf("prvi");
    else if(a-x==0 && b!=y)
    printf("drugi");
    else
    printf("?");

}